Package org.silverpeas.components.community.notification.user

# Class MembershipRequestValidationUserNotificationBuilder

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>
org.silverpeas.components.community.notification.user.AbstractCommunityUserNotificationBuilder
org.silverpeas.components.community.notification.user.MembershipRequestValidationUserNotificationBuilder

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

public class MembershipRequestValidationUserNotificationBuilder extends AbstractCommunityUserNotificationBuilder
User notification dedicated to the management of the validation of member request to join a community.

Author:
  silveryocha

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MembershipRequestValidationUserNotificationBuilder(CommunityOfUsers resource)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MembershipRequestValidationUserNotificationBuilder`
  `about(CommunityOfUsers community)`
  Initializing the user notification builder with given community.
  `protected String`
  `getBundleSubjectKey()`
  `protected String`
  `getTemplateFileName()`
  `protected Collection<String>`
  `getUserIdsToNotify()`
  `protected void`
  `perform(CommunityOfUsers resource)`
  `protected void`
  `performTemplateData(String language, CommunityOfUsers resource, org.silverpeas.core.template.SilverpeasTemplate template)`
  `MembershipRequestValidationUserNotificationBuilder`
  `validating(org.silverpeas.core.admin.user.model.User requester, boolean accept)`
  Indicating the requester for which the join request validation has been performed and if the request has been accepted or refused.
  `MembershipRequestValidationUserNotificationBuilder`
  `withMessage(String message)`
  Sets an additional message if any.

  ### Methods inherited from class org.silverpeas.components.community.notification.user.AbstractCommunityUserNotificationBuilder

  `getAction, getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getResourceURL, getSender, getSpace, getSpaceManagerProfile, getTemplatePath, isSendImmediately, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getTitle, getTitle, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop, stopWhenNoUserToNotify`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MembershipRequestValidationUserNotificationBuilder

    protected MembershipRequestValidationUserNotificationBuilder(CommunityOfUsers resource)

- ## Method Details

  - ### about

    public static MembershipRequestValidationUserNotificationBuilder about(CommunityOfUsers community)
    Initializing the user notification builder with given community.
    Parameters:
      `community` - a `CommunityOfUsers` instance.
    Returns:
      the builder instance itself.

  - ### validating

    public MembershipRequestValidationUserNotificationBuilder validating(org.silverpeas.core.admin.user.model.User requester, boolean accept)
    Indicating the requester for which the join request validation has been performed and if the request has been accepted or refused.
    Parameters:
      `requester` - a `User` instance if the join requester.
      `accept` - the result of the validation. true if accepted, false otherwise.
    Returns:
      the builder instance itself.

  - ### withMessage

    public MembershipRequestValidationUserNotificationBuilder withMessage(String message)
    Sets an additional message if any.
    Parameters:
      `message` - a string.
    Returns:
      the builder instance itself.

  - ### getBundleSubjectKey

    protected String getBundleSubjectKey()
    Overrides:
      `getBundleSubjectKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>`

  - ### getTemplateFileName

    protected String getTemplateFileName()
    Specified by:
      `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>`

  - ### getUserIdsToNotify

    protected Collection<String> getUserIdsToNotify()
    Specified by:
      `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### perform

    protected void perform(CommunityOfUsers resource)
    Overrides:
      `perform` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>`

  - ### performTemplateData

    protected void performTemplateData(String language, CommunityOfUsers resource, org.silverpeas.core.template.SilverpeasTemplate template)
    Overrides:
      `performTemplateData` in class `AbstractCommunityUserNotificationBuilder`